Heartbleed / OpenSSL

The recent scare concerning the so called Heartbleed bug in OpenSSL was warranted but was, in our opinion, a bit blown up out of proportion by the media (what isn’t these days ?). Anyway the bug affected one version of OpenSSL which was implemented on two of our servers only. Both have been upgraded to a later unaffected version of OpenSSL. Any customer who has concerns that their data may have been compromised should give us a call on 084 508 1950 and we can discuss options.